Qwt User's Guide 6.0.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# QwtLegendItemManager Class Reference

Abstract API to bind plot items to the legend. More...

`#include <qwt_legend_itemmanager.h>`

Inheritance diagram for QwtLegendItemManager:
[legend]

List of all members.

## Public Member Functions
virtual void | drawLegendIdentifier (QPainter *, const QRectF &) const
virtual QWidget * | legendItem () const =0
| QwtLegendItemManager ()
virtual void | updateLegend (QwtLegend *legend) const =0
virtual | ~QwtLegendItemManager ()

## Detailed Description

Abstract API to bind plot items to the legend.

## Constructor & Destructor Documentation

QwtLegendItemManager::QwtLegendItemManager | ( |  | ) | `[inline]`

Constructor.

virtual QwtLegendItemManager::~QwtLegendItemManager | ( |  | ) | `[inline, virtual]`

Destructor.

## Member Function Documentation

virtual void QwtLegendItemManager::drawLegendIdentifier | ( | QPainter * | ,
|  | const QRectF & |
| ) |  | const`[inline, virtual]`

QwtLegendItem can display an icon-identifier followed by a text. The icon helps to identify a plot item on the plot canvas and depends on the type of information, that is displayed.

The default implementation paints nothing.

Reimplemented in QwtPlotCurve, QwtPlotHistogram, QwtPlotIntervalCurve, and QwtPlotMarker.

virtual QWidget* QwtLegendItemManager::legendItem | ( |  | ) | const`[pure virtual]`

Allocate the widget that represents the item on the legend

Returns:
  Allocated widget

See also:
  updateLegend() QwtLegend()

Implemented in QwtPlotItem.

virtual void QwtLegendItemManager::updateLegend | ( | QwtLegend * | legend | ) | const`[pure virtual]`

Update the widget that represents the item on the legend

Parameters:

  legend | Legend

See also:
  legendItem()

Implemented in QwtPlotCurve, QwtPlotItem, and QwtPlotMarker.